# Generated by Django 2.2.7 on 2019-12-02 10:11

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('collection', '0018_auto_20191127_1047'),
    ]

    operations = [
        migrations.CreateModel(
            name='GuideFilter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('establishment_type_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='establishment types')),
                ('country_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='countries')),
                ('region_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='regions')),
                ('sub_region_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='sub regions')),
                ('wine_region_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='wine regions')),
                ('with_mark', models.BooleanField(default=True, help_text='exclude empty marks?', verbose_name='with mark')),
                ('locale_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='locales')),
                ('max_mark', models.FloatField(help_text='mark under', null=True, verbose_name='max mark')),
                ('min_mark', models.FloatField(help_text='mark over', null=True, verbose_name='min mark')),
                ('review_vintage_json', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='review vintage years')),
                ('review_state_json', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='review states')),
                ('old_id', models.IntegerField(blank=True, null=True)),
                ('guide', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='collection.Guide', verbose_name='guide')),
            ],
            options={
                'verbose_name': 'guide filter',
                'verbose_name_plural': 'guide filters',
            },
        ),
    ]
